## lhs2tex 1.11

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 psources        := Main.lhs TeXCommands.lhs TeXParser.lhs \
 		   Typewriter.lhs Math.lhs MathPoly.lhs \
-                   NewCode.lhs \
+                   MathCommon.lhs NewCode.lhs \
 		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
 		   Parser.lhs FiniteMap.lhs Auxiliaries.lhs \
 		   StateT.lhs Document.lhs Verbatim.lhs Value.lhs
@@ -19,6 +19,9 @@
 ### lhs dependencies (from %include lines)
 ###
 
+ifdef SORT
+ifdef UNIQ
+
 MKLHSDEPEND = $(GREP) "^%include " $< \
                | $(SED) -e 's,^%include ,$*.tex : ,' \
                | $(SORT) | $(UNIQ) > $*.ld
@@ -27,12 +30,8 @@
                | $(SED) -e 's,^%include ,$*.fmt : ,' \
                | $(SORT) | $(UNIQ) > $*.ld
 
-###
-### hs dependencies
-###
-
-
-MKGHCDEPEND = $(GHC) -M -optdep-f -optdep$*.d $(GHCFLAGS) $<
+endif
+endif
 
 ###
 ### dependency postprocessing
@@ -51,15 +50,6 @@
 
 default : bin doc
 bin : lhs2TeX lhs2TeX.fmt lhs2TeX.sty
-
-%.d : %.lhs
-	$(MKGHCDEPEND); \
-	$(CP) $*.d $*.dd; \
-	$(DEPPOSTPROC) < $*.dd >> $*.d; \
-	$(RM) -f $*.dd
-
-$(objects) : %.o : %.lhs
-	$(GHC) -c $(GHCFLAGS) $< -o $@
 
 -include $(sources:%.lhs=%.d)
 
@@ -77,8 +67,7 @@
 #	fi ; \
 #	fi
 
-%.hi : %.o
-	@:
+ifdef MKLHSDEPEND
 
 %.ld : %.lhs
 	$(MKLHSDEPEND); \
@@ -92,11 +81,13 @@
 	$(DEPPOSTPROC) < $*.ldd >> $*.ld; \
 	$(RM) -f $*.ldd
 
+-include $(sources:%.lhs=%.ld)
+
+endif
+
 %.tex : %.lhs lhs2TeX Lhs2TeX.fmt lhs2TeX.fmt
 #	lhs2TeX -verb -iLhs2TeX.fmt $< > $@
 	./lhs2TeX --math --align 33 -iLhs2TeX.fmt $< > $@
-
--include $(sources:%.lhs=%.ld)
 
 %.tt : %.snip lhs2TeX lhs2TeX.fmt
 	./lhs2TeX --tt -lmeta=True -ilhs2TeX.fmt $< > $@
@@ -113,12 +104,17 @@
 lhs2TeX.fmt: lhs2TeX.fmt.lit lhs2TeX
 	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt
 
-lhs2TeX : $(objects)
-	$(GHC) $(GHCFLAGS) -o lhs2TeX $(objects)
+lhs2TeX : $(sources)
+	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(sources)
 
 doc : bin
 	cd doc; $(MAKE)
 #	cd Guide; $(MAKE) Guide.pdf
+
+INSTALL : lhs2TeX INSTALL0 INSTALL1
+	cp INSTALL0 $@
+	./lhs2TeX --searchpath >> $@
+	cat INSTALL1 >> $@
 
 depend:
 	$(GHC) -M -optdep-f -optdeplhs2TeX.d $(GHCFLAGS) $(sources)
@@ -143,28 +139,37 @@
 	$(INSTALL) -m 755 lhs2TeX $(DESTDIR)$(bindir)
 	$(MKINSTDIR) $(DESTDIR)$(stydir)
 	$(INSTALL) -m 644 lhs2TeX.sty lhs2TeX.fmt $(DESTDIR)$(stydir)
-# TODO: install documentation
+	$(INSTALL) -m 644 Library/*.fmt $(DESTDIR)$(stydir)
+	$(MKINSTDIR) $(DESTDIR)$(docdir)
+	$(INSTALL) -m 644 doc/Guide2.pdf $(DESTDIR)$(docdir)
+	$(MKINSTDIR) $(DESTDIR)$(mandir)/man1
+	$(INSTALL) -m 644 lhs2TeX.1 $(DESTDIR)$(mandir)/man1
 ifeq ($(INSTALL_POLYTABLE),yes)
 # install polytable package
 	$(MKINSTDIR) $(DESTDIR)$(polydir)
 	$(INSTALL) -m 644 polytable/*.sty $(DESTDIR)$(polydir)
+endif
+	# $(MKINSTDIR) $(DESTDIR)$(texdir)
+	# $(INSTALL) -m 644 Library/*.sty $(DESTDIR)$(texdir)
 ifndef DESTDIR
 	$(MKTEXLSR)
 else
 	echo "Please update the TeX filename database."
 endif
-endif
-
-srcdist : doc
+
+srcdist : INSTALL doc
 	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
 	$(MKINSTDIR) $(DISTDIR)
 	$(MKINSTDIR) $(DISTDIR)/doc
 	$(MKINSTDIR) $(DISTDIR)/polytable
 	$(MKINSTDIR) $(DISTDIR)/Testsuite
 	$(MKINSTDIR) $(DISTDIR)/Examples
+	$(MKINSTDIR) $(DISTDIR)/Library
 	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
+	$(INSTALL) -m 644 Setup.hs lhs2tex.cabal $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
 	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
@@ -175,8 +180,46 @@
 	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
+	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
 	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR)
 	chmod 644 $(DISTDIR).tar.bz2
+
+ifdef DISTTYPE
+
+bindist: lhs2TeX lhs2TeX.fmt lhs2TeX.sty doc
+	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
+	$(MKINSTDIR) $(DISTDIR)
+	$(MKINSTDIR) $(DISTDIR)/doc
+	$(MKINSTDIR) $(DISTDIR)/polytable
+	$(MKINSTDIR) $(DISTDIR)/Testsuite
+	$(MKINSTDIR) $(DISTDIR)/Examples
+	$(MKINSTDIR) $(DISTDIR)/Library
+	$(INSTALL) -m 755 lhs2TeX $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.fmt lhs2TeX.sty $(DISTDIR)
+	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
+	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
+	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
+	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
+	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
+	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
+		> $(DISTDIR)/INSTALL
+	chmod 644 $(DISTDIR)/INSTALL
+	cd doc; $(MAKE) srcdist
+	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
+	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
+	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
+	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
+	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
+	tar cvjf $(DISTDIR)-$(DISTTYPE).tar.bz2 $(DISTDIR)
+	chmod 644 $(DISTDIR)-$(DISTTYPE).tar.bz2
+
+else
+
+bindist:
+	@echo "You must define DISTTYPE."
+
+endif
 
 backup:
 	cd ..; \
@@ -191,7 +234,7 @@
 	-$(RM) -f *.d *.dd *.ld *.ldd
 	$(RM) -f lhs2TeX.sty lhs2TeX.fmt
 	$(RM) -f Lhs2TeX.tex lhs2TeX.sty.tex lhs2TeX.fmt.tex Makefile.tex 
-	cd Guide; $(MAKE) clean
+	cd doc; $(MAKE) clean
 
 # all:
 # 	$(MAKE) install
