## lhs2tex 1.13~pre3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 
 include config.mk
 
-psources        := Main.lhs TeXCommands.lhs TeXParser.lhs \
+main            := Main.lhs
+psources        := $(main) TeXCommands.lhs TeXParser.lhs \
 		   Typewriter.lhs Math.lhs MathPoly.lhs \
                    MathCommon.lhs NewCode.lhs \
 		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
@@ -105,7 +106,7 @@
 	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt
 
 lhs2TeX : $(sources)
-	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(sources)
+	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(main)
 
 doc : bin
 	cd doc; $(MAKE)
@@ -134,7 +135,7 @@
 print : Lhs2TeX.dvi
 	$(DVIPS) -D600 -f Lhs2TeX.dvi | lpr -Pa -Zl
 
-install : bin
+install : bin doc
 	$(MKINSTDIR) $(DESTDIR)$(bindir)
 	$(INSTALL) -m 755 lhs2TeX $(DESTDIR)$(bindir)
 	$(MKINSTDIR) $(DESTDIR)$(stydir)
@@ -171,7 +172,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
@@ -201,7 +202,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
