## lhs2tex 1.14

=== doc/Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 SNIPPETSTLL = $(shell $(GREP) "\\\\input{" TLL.lhs | $(SED) "s/^.*input{\(.*\)}.*$$/\1.tex/")
 STCFLAGS="--let=stc=True"
 endif
+
+SNIPPETSIN    = $(wildcard *.lhs.in)
+SNIPPETSLHS   = $(filter-out $(SNIPPETSIN:.in=), $(SNIPPETSGD:.tex=.lhs))
 
 DONTBUILD = $(shell test -f Guide2.dontbuild && echo yes)
 
@@ -33,7 +36,8 @@
 	touch $@
 
 srcdist :
-	$(INSTALL) -m 644 $(SNIPPETSGD:.tex=.lhs) ../$(DISTDIR)/doc
+	$(INSTALL) -m 644 $(SNIPPETSIN) ../$(DISTDIR)/doc
+	$(INSTALL) -m 644 $(SNIPPETSLHS) ../$(DISTDIR)/doc
 	$(INSTALL) -m 644 RawSearchPath.lhs ../$(DISTDIR)/doc
 	$(INSTALL) -m 644 $(wildcard *.fmt) ../$(DISTDIR)/doc
 	$(INSTALL) -m 644 Guide2.lhs Guide2.pdf Makefile ../$(DISTDIR)/doc
