## lhs2tex 1.15

=== Makefile ===
--- 
+++ 
@@ -182,8 +182,8 @@
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
 	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
-	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR)
-	chmod 644 $(DISTDIR).tar.bz2
+	tar cvzf $(DISTDIR).tar.gz $(DISTDIR)
+	chmod 644 $(DISTDIR).tar.gz
 
 ifdef DISTTYPE
