=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Autoconf 2.52 and higher goes into crosscompiling mode when --host
# is specified, so only pass --host when it is necessary.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFIGURE_FLAGS := --build $(DEB_HOST_GNU_TYPE)
else
  CONFIGURE_FLAGS := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

GHCFLAGS := $(shell grep "^GHCFLAGS" config.mk.in | cut -d '=' -f 2)
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	GHCFLAGS += -O0
endif

configure: config.status
config.status: 
	dh_testdir
	cp -f /usr/share/misc/config.sub config.sub 
	cp -f /usr/share/misc/config.guess config.guess
	# Don't rebuild the guide as ghci does not work on all architectures..
	# rm -f doc/Guide2.dontbuild
	./configure $(CONFIGURE_FLAGS) --prefix=/usr --mandir=\$${prefix}/share/man --with-texmf=/usr/share/texmf --enable-polytable


build: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE) GHCFLAGS="$(GHCFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.status 
	# Add here commands to clean up after the build process.
	if [ -f Makefile ] && [ -f config.mk ] ; then $(MAKE) clean ; fi
	# Remove generated files
	for EXT in aux log out ptb tex toc; do \
		rm -f doc/Guide2.$$EXT; \
	done
	# Don't rebuild the guide as ghci does not work on all architectures..
	# rm -f doc/Guide2.dontbuild doc/Guide2.pdf
	rm -f doc/*.sty doc/*.tex doc/.out doc/.script doc/RawSearchPath.lhs
	rm -f lhs2TeX.1 Version.lhs config.guess config.log config.mk config.sub
	rm -f doc/InteractiveHugs.lhs doc/InteractivePre.lhs
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/lhs2tex docdir=/usr/share/doc/lhs2tex


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples Examples/*
	dh_installman
	dh_installtex
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
