=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts="uversionmangle=s/(.bz2|.gz)$//;s/(\d+)pre/$1~pre/" \
  http://people.cs.uu.nl/andres/lhs2tex/ ./lhs2tex-(.*)\.tar\.(bz2|gz)
