## lhs2tex 1.17

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 
 include config.mk
 
-main            := Main.lhs
-psources        := $(main) TeXCommands.lhs TeXParser.lhs \
-		   Typewriter.lhs Math.lhs MathPoly.lhs \
-                   MathCommon.lhs NewCode.lhs \
-		   Directives.lhs HsLexer.lhs FileNameUtils.lhs \
-		   Parser.lhs FiniteMap.lhs Auxiliaries.lhs \
-		   StateT.lhs Document.lhs Verbatim.lhs Value.lhs
-sources         := $(psources) Version.lhs
+main            := src/Main.lhs
+psources        := $(main) src/TeXCommands.lhs src/TeXParser.lhs \
+		   src/Typewriter.lhs src/Math.lhs src/MathPoly.lhs \
+                   src/MathCommon.lhs src/NewCode.lhs \
+		   src/Directives.lhs src/HsLexer.lhs src/FileNameUtils.lhs \
+		   src/Parser.lhs src/FiniteMap.lhs src/Auxiliaries.lhs \
+		   src/StateT.lhs src/Document.lhs src/Verbatim.lhs src/Value.lhs
+sources         := $(psources) src/Version.lhs
 snipssrc        := sorts.snip id.snip cata.snip spec.snip
 snips	        := sorts.tt sorts.math id.math cata.math spec.math
 objects         := $(sources:.lhs=.o)
@@ -106,7 +106,7 @@
 	./lhs2TeX --code lhs2TeX.fmt.lit > lhs2TeX.fmt
 
 lhs2TeX : $(sources)
-	$(GHC) $(GHCFLAGS) --make -o lhs2TeX $(main)
+	$(GHC) $(GHCFLAGS) -isrc --make -o lhs2TeX $(main)
 
 doc : bin
 	cd doc; $(MAKE)
@@ -161,18 +161,20 @@
 srcdist : INSTALL doc
 	if test -d $(DISTDIR); then $(RM) -rf $(DISTDIR); fi
 	$(MKINSTDIR) $(DISTDIR)
+	$(MKINSTDIR) $(DISTDIR)/src
 	$(MKINSTDIR) $(DISTDIR)/doc
 	$(MKINSTDIR) $(DISTDIR)/polytable
 	$(MKINSTDIR) $(DISTDIR)/Testsuite
 	$(MKINSTDIR) $(DISTDIR)/Examples
 	$(MKINSTDIR) $(DISTDIR)/Library
-	$(INSTALL) -m 644 $(psources) Version.lhs.in $(snipssrc) $(DISTDIR)
+	$(INSTALL) -m 644 $(psources) src/Version.lhs.in $(DISTDIR)/src
+	$(INSTALL) -m 644 $(snipssrc) $(DISTDIR)
 	$(INSTALL) -m 644 Setup.hs lhs2tex.cabal $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.fmt.lit lhs2TeX.sty.lit $(DISTDIR)
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
@@ -202,7 +204,7 @@
 	$(INSTALL) -m 644 Makefile common.mk config.mk.in $(DISTDIR)
 	$(INSTALL) -m 644 lhs2TeX.1.in $(DISTDIR)
 	$(INSTALL) -m 755 configure mkinstalldirs install-sh $(DISTDIR)
-	$(INSTALL) -m 644 TODO AUTHORS LICENSE RELEASE $(DISTDIR)
+	$(INSTALL) -m 644 TODO AUTHORS LICENSE CHANGELOG $(DISTDIR)
 	cat INSTALL | sed -e "s/@ProgramVersion@/$(PACKAGE_VERSION)/" \
 		> $(DISTDIR)/INSTALL
 	chmod 644 $(DISTDIR)/INSTALL
