=== debian/changelog ===
lhs2tex (1.17-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * debian/control:
    - Standards version 3.9.2 (no changes required).
    - Added myself to uploaders. Added DM-Upload-Allowed: yes.
  * debian/patches/ :
    - Disable patches no-utf8-string.patch and add-typesig (in upstream).
    - Refresh patches/no-n-plus-k-pattern.
    - Add Dep3 info to patches/no-n-plus-k-pattern.
  * debian/rules : Fix a couple of lintian warnings.

  [ Joachim Breitner ]
  * debian/watch: Refer to hackage 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 31 Dec 2011 15:25:24 +0100
