=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Arjan Oosting <arjan@debian.org>
+ , Erik de Castro Lopo <erikd@mega-nerd.com>
+DM-Upload-Allowed: yes
 Build-Depends:
  autotools-dev,
  debhelper (>= 7),
  ghc (>= 6.12),
  libghc-regex-compat-dev,
- tex-common 
-Standards-Version: 3.8.4
+ tex-common
+Standards-Version: 3.9.2
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
 Homepage: http://people.cs.uu.nl/andres/lhs2tex/
