=== debian/changelog ===
lhs2tex (1.18.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:46 +0200

lhs2tex (1.18.1-1) experimental; urgency=low

  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Feb 2013 12:50:03 +0100
