=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 DM-Upload-Allowed: yes
 Build-Depends:
  autotools-dev,
- debhelper (>= 7),
- ghc (>= 6.12),
+ debhelper (>= 9),
+ ghc (>= 7.6),
  libghc-regex-compat-dev,
  tex-common
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
 Homepage: http://people.cs.uu.nl/andres/lhs2tex/
