## lhs2tex 1.19

=== Makefile ===
--- 
+++ 
@@ -181,11 +181,11 @@
 	chmod 644 $(DISTDIR)/INSTALL
 	cd doc; $(MAKE) srcdist
 	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
-	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
+	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Testsuite/Makefile $(DISTDIR)/Testsuite
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
 	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
-	tar cvzf $(DISTDIR).tar.gz $(DISTDIR)
+	tar --format=ustar -cvzf $(DISTDIR).tar.gz $(DISTDIR)
 	chmod 644 $(DISTDIR).tar.gz
 
 ifdef DISTTYPE
@@ -211,7 +211,7 @@
 	chmod 644 $(DISTDIR)/INSTALL
 	cd doc; $(MAKE) srcdist
 	$(INSTALL) -m 644 polytable/*.{sty,pdf} $(DISTDIR)/polytable
-	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Makefile $(DISTDIR)/Testsuite
+	$(INSTALL) -m 644 Testsuite/*.{lhs,snip} Testsuite/Makefile $(DISTDIR)/Testsuite
 	$(INSTALL) -m 644 Examples/*.lhs $(DISTDIR)/Examples
 	$(INSTALL) -m 755 Examples/lhs2TeXpre $(DISTDIR)/Examples
 	$(INSTALL) -m 644 Library/*.fmt $(DISTDIR)/Library
