=== debian/changelog ===
lhs2tex (1.19-5) unstable; urgency=high

  * Depend on texlive-science (closes: #864225)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Jun 2017 12:28:59 -0400

lhs2tex (1.19-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:21 -0400

lhs2tex (1.19-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:42:26 -0400

lhs2tex (1.19-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

lhs2tex (1.19-1.1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark lhs2tex as Multi-Arch: foreign.

  [ Joachim Breitner ]
  * Bump standards-version to 3.9.6

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:14 +0200

lhs2tex (1.19-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:36:03 +0200
