=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: lhs2tex
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Arjan Oosting <arjan@debian.org>,
+ Erik de Castro Lopo <erikd@mega-nerd.com>,
+Priority: optional
 Section: haskell
-Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Arjan Oosting <arjan@debian.org>
- , Erik de Castro Lopo <erikd@mega-nerd.com>
-DM-Upload-Allowed: yes
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
  ghc (>= 7.6),
  libghc-regex-compat-dev,
- tex-common
-Standards-Version: 3.9.4
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/lhs2tex
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/lhs2tex
+ tex-common,
+Standards-Version: 3.9.8
 Homepage: http://people.cs.uu.nl/andres/lhs2tex/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/lhs2tex
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: lhs2tex
 Architecture: any
+Multi-Arch: foreign
 Depends:
+ texlive-latex-base,
+ texlive-science,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- texlive-latex-base,
- texlive-latex-base,
- texlive-latex-base,
- texlive-math-extra
 Description: Generates LaTeX code from literate Haskell sources
  lhs2TeX includes the following features:
  .
@@ -51,4 +50,3 @@
  document (useful for papers on Haskell).
  .
  A manual explaining all the important aspects of lhs2TeX.
-
