=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,19 @@
 endif
 
 configure: config.status
-config.status: 
+config.status:
 	dh_testdir
-	cp -f /usr/share/misc/config.sub config.sub 
+	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.guess config.guess
 	# Don't rebuild the guide as ghci does not work on all architectures..
 	# rm -f doc/Guide2.dontbuild
 	./configure $(CONFIGURE_FLAGS) --prefix=/usr --mandir=\$${prefix}/share/man --with-texmf=/usr/share/texmf --enable-polytable
 
 
-build: build-stamp
+build: build-arch build-indep
+
+
+build-arch: build-stamp
 build-stamp:  config.status
 	dh_testdir
 	$(MAKE) GHCFLAGS="$(GHCFLAGS)"
@@ -46,7 +49,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp config.status 
+	rm -f build-stamp config.status
 	# Add here commands to clean up after the build process.
 	if [ -f Makefile ] && [ -f config.mk ] ; then $(MAKE) clean ; fi
 	# Remove generated files
@@ -58,7 +61,7 @@
 	rm -f doc/*.sty doc/*.tex doc/.out doc/.script doc/RawSearchPath.lhs
 	rm -f lhs2TeX.1 Version.lhs config.guess config.log config.mk config.sub
 	rm -f doc/InteractiveHugs.lhs doc/InteractivePre.lhs
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
@@ -71,13 +74,14 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
+build-indep:
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples Examples/*
 	dh_installman
@@ -93,4 +97,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install
