=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
  Erik de Castro Lopo <erikd@mega-nerd.com>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
  ghc (>= 7.6),
  libghc-regex-compat-dev,
  tex-common,
-Standards-Version: 3.9.8
-Homepage: http://people.cs.uu.nl/andres/lhs2tex/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/lhs2tex
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Standards-Version: 4.1.4
+Homepage: https://github.com/kosmikus/lhs2tex
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/lhs2tex
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/lhs2tex]
 
 Package: lhs2tex
 Architecture: any
