=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  autotools-dev,
- debhelper (>= 9),
- ghc (>= 7.6),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  libghc-regex-compat-dev,
  tex-common,
 Standards-Version: 4.1.4
